package com.codegeist.fisheye.domain;

/**
 * <pre>
 * struct Changesets {
 *  int maxReturn; // (REST: attribute)
 *  String[] csids;
 * }
 * </pre>
 * 
 * @author Brock Janiczak
 *
 */
public class Changesets {
	private final int maxReturn;
	private final String[] changesetIds;
	
	public Changesets(int maxReturn, String[] changesetIds) {
		this.maxReturn = maxReturn;
		this.changesetIds = changesetIds;
	}

	public int getMaxReturn() {
		return maxReturn;
	}

	public String[] getChangesetIds() {
		return changesetIds;
	}
	
	@Override
	public String toString() {
		return changesetIds.length + " changesets";
	}

}
